> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyberdesk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Run Attachments

> List all run attachments for the authenticated organization.

Supports pagination and filtering by run ID and attachment type.



## OpenAPI

````yaml /openapi.json get /v1/run-attachments
openapi: 3.1.0
info:
  title: Cyberdesk Cloud
  description: >-
    The Cyberdesk API provides programmatic access to all platform features,
    enabling you to automate desktop tasks at scale.
  version: 1.0.0
servers:
  - url: https://api.cyberdesk.io
    description: Production server
  - url: https://cyberdesk-api-dev.fly.dev
    description: Development server
security: []
paths:
  /v1/run-attachments:
    get:
      tags:
        - run-attachments
      summary: List Run Attachments
      description: |-
        List all run attachments for the authenticated organization.

        Supports pagination and filtering by run ID and attachment type.
      operationId: list_run_attachments_v1_run_attachments_get
      parameters:
        - name: run_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Filter by run ID
            title: Run Id
          description: Filter by run ID
        - name: attachment_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/AttachmentType'
              - type: 'null'
            description: Filter by attachment type
            title: Attachment Type
          description: Filter by attachment type
        - name: skip
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Skip
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_RunAttachmentResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AttachmentType:
      type: string
      enum:
        - input
        - output
      title: AttachmentType
    PaginatedResponse_RunAttachmentResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/RunAttachmentResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        skip:
          type: integer
          title: Skip
        limit:
          type: integer
          title: Limit
      type: object
      required:
        - items
        - total
        - skip
        - limit
      title: PaginatedResponse[RunAttachmentResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RunAttachmentResponse:
      properties:
        filename:
          type: string
          title: Filename
        content_type:
          type: string
          title: Content Type
        attachment_type:
          $ref: '#/components/schemas/AttachmentType'
        target_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Path
        cleanup_imports_after_run:
          type: boolean
          title: Cleanup Imports After Run
          default: false
        id:
          type: string
          format: uuid
          title: Id
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Id
        organization_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Id
        run_id:
          type: string
          format: uuid
          title: Run Id
        size_bytes:
          type: integer
          title: Size Bytes
        storage_path:
          type: string
          title: Storage Path
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - filename
        - content_type
        - attachment_type
        - id
        - run_id
        - size_bytes
        - storage_path
        - created_at
      title: RunAttachmentResponse
      description: Run attachment response schema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          additionalProperties: true
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````